%define	major	0
%define	libname	%mklibname %{name} %{major}
%define develname %mklibname %{name} -d

# build options
%define	enable_dante	0
%{?_with_dante: %define enable_dante 1}

Summary:	Commandline ftp client
Name:		lftp
Version:	4.4.14
%define subrel	1
Release:	%mkrel 1
URL:		http://lftp.yar.ru/
Group:		Networking/File transfer
License:	GPLv2+
Source0:	http://lftp.yar.ru/ftp/%{name}-%{version}.tar.xz
Source1:	http://lftp.yar.ru/ftp/%{name}-%{version}.tar.xz.asc
Patch0:		lftp-2.2.0-lftpgetmanpage.patch
Patch1:		lftp-3.7.7-distro-defaults.patch
Patch2:		lftp-4.4.8-link.patch
Patch3:		lftp-4.4.0-glibc.patch
Patch4:		lftp-4.4.0-automake.patch
Patch5:		lftp-4.6.1-CVE-2014-0139.patch
BuildRequires:	ncurses-devel
BuildRequires:	gnutls-devel
BuildRequires:	readline-devel
BuildRequires:	expat-devel
%if %enable_dante
BuildRequires:	dante-devel
%endif
Requires:	less
Requires:	%{libname} = %{version}

%description
LFTP is a shell-like command line ftp client. The main two advantages
over other ftp clients are reliability and ability to perform tasks
in background. It will reconnect and reget the file being transferred
if the connection broke. You can start a transfer in background and
continue browsing on the ftp site.  It does this all in one process.
When you have started background jobs and feel you are done, you can
just exit lftp and it automatically moves to nohup mode and completes
the transfers. It has also such nice features as reput and mirror.

%if %enable_dante
Build option:
--with dante	Enable dante support
%endif

%package -n %{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n %{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%mklibname -d lftp 0

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q
%patch0 -p1 -b .manpage
%patch1 -p1 -b .agent
%patch2 -p1 -b .link
%patch3 -p1 -b .glibc
%patch4 -p1 -b .automake
%patch5 -p1 -b .CVE-2014-0139

# fix encoding
iconv -f ISO-8859-1 -t UTF-8 NEWS -o NEWS.utf8
touch -r NEWS NEWS.utf8
mv -f NEWS.utf8 NEWS

%build
autoreconf -fi
%configure2_5x \
	--with-modules=yes \
	--with-pager="exec less" \
%if %enable_dante
	--with-socksdante=yes \
%endif

%make

%install
%makeinstall_std

%find_lang %{name}

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f

%files -f %{name}.lang
%doc COPYING FAQ MIRRORS NEWS
%doc README.* THANKS TODO lftp.lsm BUGS
%config(noreplace) %{_sysconfdir}/lftp.conf
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}/

%files -n %{libname}
%{_libdir}/*.so.%{major}*
%dir %{_libdir}/lftp
%dir %{_libdir}/lftp/%{version}
%{_libdir}/lftp/%{version}/*.so

%files -n %{develname}
%{_libdir}/*.so


%changelog
* Thu Apr 16 2015 luigiwalser <luigiwalser> 4.4.14-1.1.mga4
+ Revision: 820313
- add upstream patch to fix CVE-2014-0139

* Fri Dec 13 2013 luigiwalser <luigiwalser> 4.4.14-1.mga4
+ Revision: 556587
- 4.4.14

* Tue Dec 10 2013 zezinho <zezinho> 4.4.13-1.mga4
+ Revision: 556213
- new version 4.4.13

* Tue Nov 12 2013 luigiwalser <luigiwalser> 4.4.11-1.mga4
+ Revision: 550829
- 4.4.11

* Tue Oct 22 2013 umeabot <umeabot> 4.4.10-2.mga4
+ Revision: 541367
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 luigiwalser <luigiwalser> 4.4.10-1.mga4
+ Revision: 495766
- 4.4.10

* Sat Aug 24 2013 fwang <fwang> 4.4.9-1.mga4
+ Revision: 470894
- new version 4.4.9

* Wed May 29 2013 luigiwalser <luigiwalser> 4.4.8-1.mga4
+ Revision: 432697
- rediff patch2
- 4.4.8

* Sat May 25 2013 luigiwalser <luigiwalser> 4.4.7-1.mga4
+ Revision: 426918
- 4.4.7

* Fri May 24 2013 luigiwalser <luigiwalser> 4.4.6-1.mga4
+ Revision: 426678
- 4.4.6

* Fri Feb 08 2013 luigiwalser <luigiwalser> 4.4.3-1.mga3
+ Revision: 395246
- 4.4.3

* Fri Feb 01 2013 luigiwalser <luigiwalser> 4.4.1-2.mga3
+ Revision: 393926
- add patch from upstream git to fix plus sign handling in URLs

* Wed Jan 30 2013 luigiwalser <luigiwalser> 4.4.1-1.mga3
+ Revision: 393578
- 4.4.1

* Sat Jan 12 2013 umeabot <umeabot> 4.4.0-3.mga3
+ Revision: 356762
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 pterjan <pterjan> 4.4.0-2.mga3
+ Revision: 337188
- Fix build with new automake

  + fwang <fwang>
    - add specific requires on lib package

* Fri Sep 28 2012 fwang <fwang> 4.4.0-1.mga3
+ Revision: 298846
- use gentoo patch
- reconf
- fix build with latest glibc
- new version 4.4.0

* Wed Jul 04 2012 fwang <fwang> 4.3.8-1.mga3
+ Revision: 267696
- new version 4.3.8

* Wed May 30 2012 zezinho <zezinho> 4.3.7-1.mga3
+ Revision: 251460
- new version

* Wed Jan 25 2012 fwang <fwang> 4.3.5-1.mga2
+ Revision: 201219
- new version 4.3.5

  + dmorgan <dmorgan>
    - Fix package ownage
    - Remove require on lib

* Tue Jan 03 2012 zezinho <zezinho> 4.3.4-1.mga2
+ Revision: 189884
- new version

* Mon Oct 31 2011 zezinho <zezinho> 4.3.3-1.mga2
+ Revision: 160212
- new version
- new version

* Sat Sep 17 2011 fwang <fwang> 4.3.2-1.mga2
+ Revision: 144367
- new version 4.3.2
- rebuild for new gnutls

* Mon Jul 04 2011 ahmad <ahmad> 4.3.1-2.mga2
+ Revision: 117885
- Tighten the main package requires on libname

* Sun Jul 03 2011 ahmad <ahmad> 4.3.1-1.mga2
+ Revision: 117683
- Update to 4.3.1
- Fix NEWS file encoding
- Don't ship .la

* Sun May 15 2011 pterjan <pterjan> 4.2.2-2.mga1
+ Revision: 98945
- Rebuild for fixed find-requires

* Wed Apr 13 2011 tv <tv> 4.2.2-1.mga1
+ Revision: 84570
- new release
- rediff link patch

* Tue Jan 18 2011 blino <blino> 4.1.3-2.mga1
+ Revision: 23580
- rename patch for default distro settings
- remove old ldconfig scriptlets
- imported package lftp

